# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'banter/version'

Gem::Specification.new do |spec|
  spec.name          = "banter"
  spec.version       = Banter::VERSION
  spec.authors       = ["The Honest Company", "Thanh Lim", "Tushar Ranka", "Joel Jackson"]
  spec.email         = ["webadmin@honest.com", "tusharranka@gmail.com", "jackson.joel@gmail.com"]
  spec.description   = "Publish & subscribe to messages"
  spec.summary       = "Library for pub-sub (Message Bus)"
  spec.homepage      = "https://github.com/honest/banter"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0", ">=3.0.0"
  spec.add_development_dependency "awesome_print", '~> 1.6', ">=1.6.1"
  spec.add_runtime_dependency "bunny", "~> 1.5", ">= 1.5.1"
  spec.add_runtime_dependency "hashie", ">=1.2.0"
  spec.add_runtime_dependency "json", "~> 1.8", ">=1.8.0"
  spec.add_runtime_dependency "celluloid", "~> 0.17"
  spec.add_runtime_dependency "celluloid-io", "~> 0.17", ">=0.17.1"
end
