require 'spec_helper'
require 'bunny'


describe Banter::Notifier do

  describe "self.notify" do
    before do
      notifier
      prehook
      Banter::Configuration.application_name = "TestSuite"
      subject
    end

    let(:error) { StandardError.new("TestStandardError") }
    let(:hash_error) { { keyerr1: "value1err" } }
    let(:prehook) { }

    subject { ::Banter::Notifier.notify(error, hash_error) }
    context "without a notification class" do
      let(:notifier) { }
      let(:prehook) {
        allow(STDOUT).to receive(:puts).and_call_original
        ::Banter::Configuration.notifier = Banter::Notifier::StdOutNotifier
      }
      it { expect(STDOUT).to have_received(:puts).with(/Error caught/)}

    end

    context "with a notification class" do
      let(:notifier) {
        Banter::Configuration.notifier = TestNotifier
      }

      it { expect(TestNotifier.instance.error).to eq(error) }
      it { expect(TestNotifier.instance.hash).to eq(hash_error) }
    end

  end
end
