# This file was generated by the `rspec --init` command. Conventionally, all
# specs live under a `spec` directory, which RSpec adds to the `$LOAD_PATH`.
# Require this file using `require "spec_helper"` to ensure that it is only
# loaded once.
#
# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration


require 'banter'
require 'banter/server'
require 'support/test_notifier'
ENV['RAILS_ENV'] ||= "test"
ENV['RACK_ENV'] ||= "test"
require 'timecop'
require 'factory_girl'
require 'rspec/its'

FactoryGirl.find_definitions

RSpec.configure do |config|
  config.run_all_when_everything_filtered = true
  config.filter_run :focus
  config.order = 'random'

  config.before(:each) {
    t = Time.new
    allow(Time).to receive(:now).and_return(t)
  }

end

Banter::Configuration.configure_with("test", File.expand_path("../config.yml", __FILE__))
Banter::Configuration.logger = ActiveSupport::TaggedLogging.new(Logger.new(nil))

# Test subscriber classes to make testing easier
class MyTestSubscriber1 < Banter::Subscriber
  subscribe_to "foo.bar.one"

  def perform(payload)

  end
end

class MyTestSubscriber2 < Banter::Subscriber
  subscribe_to "foo.bar.two"
  def perform(payload)

  end
end

class MyTestSubscriber3 < MyTestSubscriber1
  def perform(payload)

  end
end
